#include <iostream>
#include <iomanip>
#include <cmath>
using namespace std;

int main()
{
	const int MAX_LEN = 100;
	int arrayLength = 0;
		
	while (cin >> arrayLength)
	{
		double value[MAX_LEN] = {0.0}; 
		double weight[MAX_LEN] = {0.0}; 
		
		// read input
		for (int i = 0; i < arrayLength; i++)
			cin >> value[i];
		for (int i = 0; i < arrayLength; i++)
			cin >> weight[i];
		
		// calculate effective weights
		double totalWeight = 0;
		for (int i = 0; i < arrayLength; i++)
			totalWeight += weight[i];
		
		for (int i = 0; i < arrayLength; i++)
			weight[i] /= totalWeight;
			
		// weighted average
		double wtAvg = 0;
		for (int i = 0; i < arrayLength; i++)
			wtAvg += value[i] * weight[i];
			
		cout << fixed << setprecision(2) << floor(wtAvg * 100) / 100 << endl;	
	}
	
	return 0;
}
